Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldName

Returns the name of a field in the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldName(PetscSection s, PetscInt field, const char *fieldName[])

Not Collective

## Input Parameters

- s - the `PetscSection`

- field - the field number

## Output Parameter

- fieldName - the field name

## Note

Will error if the field number is out of range

## See Also

PetscSection, `PetscSection`, `PetscSectionSetFieldName()`, `PetscSectionSetNumFields()`, `PetscSectionGetNumFields()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages